import { OutputFlags } from '@oclif/parser';
import { JsonCollection, AnyJson } from '@salesforce/ts-types';
import { UX } from '@salesforce/command';
import { HttpMethods } from 'jsforce';
import { CommunityCreateResponse } from '../defs/CommunityCreateResponse';
import { ConnectResource } from '../../connect/services/ConnectResource';
declare const NAME_KEY = "name";
/**
 * A connect api resource for creating a community
 */
export declare class CommunityCreateResource implements ConnectResource<CommunityCreateResponse> {
    private flags;
    private params;
    private ux;
    constructor(flags: OutputFlags<any>, params: AnyJson, ux: UX);
    handleSuccess(result: JsonCollection & {
        [NAME_KEY]?: string;
    }): CommunityCreateResponse;
    handleError(error: Error): CommunityCreateResponse;
    fetchRelativeConnectUrl(): Promise<string>;
    getRequestMethod(): HttpMethods;
    fetchPostParams(): Promise<string>;
}
export {};
