/// <reference types="node" />
import * as fs from 'fs';
interface FileWriterResult {
    dir: string;
    fileName: string;
    updated: boolean;
}
export declare class FileWriter {
    /**
     * Using the given file system, creates a file representing a new custom metadata type.
     *
     * @param fs
     * @param devname
     * @param objectXML
     */
    writeTypeFile(corefs: typeof fs, dir: string, devName: string, objectXML: string): Promise<FileWriterResult>;
    /**
     * Using the given file system, creates a file representing a new field for the given custom metadata type
     *
     * @param fs
     * @param fieldname
     * @param fieldXML
     */
    writeFieldFile(corefs: typeof fs, dir: string, fieldName: string, fieldXML: string): Promise<FileWriterResult>;
}
export declare const removeTrailingSlash: (dir: string) => string;
export {};
