"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.openUrl = exports.getAliasByUsername = void 0;
const core_1 = require("@salesforce/core");
const open = require("open");
const getAliasByUsername = async (username) => {
    const stateAggregator = await core_1.StateAggregator.getInstance();
    const keys = stateAggregator.aliases.getAll(username);
    // use the most recently added alias for that username
    return (keys === null || keys === void 0 ? void 0 : keys.length) ? keys[keys.length - 1] : undefined;
};
exports.getAliasByUsername = getAliasByUsername;
const openUrl = async (url, options) => {
    return open(url, options);
};
exports.openUrl = openUrl;
//# sourceMappingURL=utils.js.map